Subject: Linux-Misc Digest #831
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Tue, 27 Sep 94 03:13:13 EDT

Linux-Misc Digest #831, Volume #2                Tue, 27 Sep 94 03:13:13 EDT

Contents:
  How Old Is Linus? (Terence S. Murphy)
  Re: Apple IIgs floppies (root)
  Re: Damn X-aware xterms!!! (Mark Dobie)
  Re: Summary: SCSI and IDE working together (MS-DOS/Win & Linux) (Jeff Jonas)
  Re: Is Linux faster than Os/2? Please help. (Robert Ashcroft)
  Re: Maple V for linux! (Lam Dang)
  How can I rank video cards for Linux? (Brian L. Kahn)
  Re: Don't use Linux or it's to academic! (NAME "Cleetus Overbey Johnson")
  Re: How to use a host as a router - READ THIS (Jay Ashworth)
  Linux at large sites? (David Lemson)
  GNUStep: Real or Hoax?!? (Derrik Walker II)
  Re: Where is Mosaic for Term? (Colin Smith)

----------------------------------------------------------------------------

From: [email-masked] (Terence S. Murphy)
Subject: How Old Is Linus?
Date: 26 Sep 1994 16:14:51 -0500

Someone posted a message today which said that Linus doesn't yet have his
BS degree.  I had always thought that he was a graduate student.  Now I
realize that it might be possible for him to be a graduate student
without having a BS, which I suspect is the case.  I know that he started
working on Linux in 1991, and that would put him as a freshman or younger
then when he started, which I sort of doubt is the case.  So I'd like to
know exactly how old he is now and where he's at in school.  I assume 
several people here know.

Are there any biographies/interviews about Linus besides the ones
in _Dr. Dobb's_ and _Linux Journal_?  Those ones were decent, but
not too great.  It would be so cool if someone wrote a book about Linus
and the rest of the developers.  The story is so romantic that I'm
sure it will happen if Linux if still around for a couple of more years.
-- 
Terry Murphy | UIUC Frosh/CS Major  | "The whole world has been made again" -
Marillion | There ought to be an alt.fan.linus-torvalds! |  "The S.A.T is not
geared for the lower class so why waste time even trying to pass?"-Gang Starr
"I never found a companion that was so companionable as solitude"-H.D.Thoreau

------------------------------

From: [email-masked] (root)
Subject: Re: Apple IIgs floppies
Date: 27 Sep 1994 01:53:50 GMT
Reply-To: [email-masked]

It's not possible.

(Not with a standard drive, at least)

See comp.emulators.apple2.

Jered

------------------------------

From: [email-masked] (Mark Dobie)
Subject: Re: Damn X-aware xterms!!!
Date: 26 Sep 1994 17:05:26 +0100

In <[email-masked]> [email-masked] (Ernest Leuenberger) writes:

>In article <[email-masked]>, [email-masked] (S. O'Connor) writes:
>|> [email-masked] (Sean Gilley) writes:
>|> 
>|> >Nope.  I've noticed this myself.  If you have two Xterm windows up, and
>|> >highlight text in the first, then *click* on the second, you no longer
>|> >have text selected for cut and paste.
>|> 
>|>     It ain't broke.

>YES IT IS, at least it may be misconfigured. I have this 'problem' on two
>systems a Linux system and a Sparc both running olvwm. 

It's not broke - it's part of the Open Look user interface specification
and therefore implemented by ol[v]wm and described in the man page.

In Open Look, when you click in the frame of the window you are
selecting the window itself as an object. If you click on other windows
with the middle button (called ADJUST in Open Look) you add them to the
selection, forming a group of selected windows.

You can manipulate the windows together as a group. If you drag one they
all move.  You can open and close all at the same time, quit them all
and make them sticky and unsticky. You have to set up items in your root
menu to do this.

>I use "OpenWindows.SetInput:   followmouse". I don't have to click on a 
>window to type in it but sometimes I want to raise it before pasting.
>(I don't like autoraise). Clicking on the title or border should not 
>unselect anything. 

According to Open Look it should. Clicking on the title bar selects the
window itself.

>Again I ask the question: "how do we fix this".

Fortunately you can turn this behaviour off. Add the line

OpenWindows.SelectWindows: False

to your ~/.Xdefaults file, assuming this gets processed by xrdb when you
start X.

Everyone happy? :)

                                Mark
-- 
Mark Dobie                                      MS Windows? Linux and X!
University of Southampton                       [email-masked]

------------------------------

From: [email-masked] (Jeff Jonas)
Crossposted-To: comp.os.linux.help,comp.periphs.scsi
Subject: Re: Summary: SCSI and IDE working together (MS-DOS/Win & Linux)
Date: 26 Sep 1994 12:07:33 -0400

I will try not to repeat what you already received,
but I see the situation as follows

A) HARDWARE:
A1) HARDWARE: the PC's side of the peripheral bus

All the controllers are on the same bus.
For the ISA bus, you need to map out the addresses and interrupts
so they don't conflict.  EISA cards negotiate this in firmware.
I don't even attempt to discuss other busses or motherboards
that have things integrated (which usually appear as bus devices
but some have funky BIOS interaction).

On my 80486 machine, I have a primary IDE controller,
an Adaptec 1542C SCSI controller and an
Adaptec SCSI bus on the Soundblaster 16 card.
They are all enabled but at different addresses and interrupts.

I boot from the IDE disks.
I have no hard disks on SCSI at this time so I'm not familiar with
handling them.   (someday I'll install the SCSI hard disk with Linux).

On my 80286 machine, I have a MFM controller as the primary
and an IDE controller as the secondary. (*1) (*2)
It's quite possible to have 2: IDE controllers for 4 IDE disks on one PC.
One day I'll be ambitions and move the secondary IDE disk and controller
to the 80486, giving me 3: IDE disks and 2: SCSI busses.

A2) HARDWARE: the peripheral's side of the peripheral bus
Some things are true for all busses
  a) TERMINATION: the device at the physical ends of the bus MUST
     be terminated, even if it's the controller.
  b) every device must have a unique address.
     For SCSI, every device has jumpers for 0-7
     (7 is typically the SCSI controller itself)
     For floppy disks and MFM disks, the PC cable normally has
     several wires twisted to swap the drive select, making the end
     the first disk (A: floppy or C: hard disk).
     Using a straight cable is possible if you jumper the drive selects
     correctly (such as the dual floppy drives that fit in one slot).
     ATA/IDE disks are tricky as they use a straight cable.
     The first disk is jumpered as the 'master' and typically is jumpered
     differently is it's alone or if there's slave disk.
     The second disk (if present) is jumpered as 'slave'.

The hardware FAQ lists the evolution of the peripheral busses.
The ATA/IDE interface is most volatile as many disks cannot
share the bus, and more features keep getting added (such as DMA).

A3) HARDWARE: BIOS interaction to hardware

Under Linux, etc, you use the BIOS only for booting.
The OS's drivers run to the raw machine, bypassing the BIOS completely.

Under DOS, the BIOS is more apparent as it provides the definitions
for the A:, B:, C: and D: drives.
Normally the IDE (or MFM, RLL, ESDI) drives appear as C: and D:
and are bootable, but some SCSI devices can sneak in there.
I'm not clear if the motherboard's BIOS needs to support that or if the
SCSI controller's BIOS can override.

The BIOS needs not reside on one physical device: it can be in many parts:
some on the motherboard and some on every peripheral card.
They just cannot overlap in address space.

B) LOW LEVEL SOFTWARE

Under Linux, Unix, OS/2 and just about anything OTHER than DOS,
you set the hardware in the configuration and regenerate the kernel.

Under DOS, you need hardware specific drivers that provide
some architecture neutral interface, such as ASPI for SCSI.
The IDE disks are handled natively by the BIOS and DOS.
I use Adaptec's EZ-SCSI drivers to provide the ASPI interface
for both SCSI controllers.

C) HIGH LEVEL SOFTWARE

Under Linux, Unix, etc., you 'mount' the block device with the
appropriate file system type to make the device appear in the file
system namespace.
That way you mount CD-ROMS using the High Sierra/ISO9660 format,
hard disks using the appropriate file system type and they all appear
to you as files.

Under DOS, there's a layer of drivers that uses the ASPI interface.
MSCDEX is the Microsoft Compact Disk Extensions that make CDs in
High Sierra/ISO9660 format appear as MS-DOS files.
ASPIDISK makes SCSI disks appear as devices (when the controller's
BIOS doesn't do that already due to IDE disks taking the C: and D: drives).

(*1) The IDE controller is a cheap $10 IDE/floppy/serial/parallel/game
multi I/O ISA card.
The IDE is jumpered to the secondary address with IRQ14 disabled.
I see no need to buy a new card when old cards work fine.
I find the $100 caching controllers hard to justify considering
that any decent file system software has a buffer cache.

(*2) "Why do I have the IDE as the secondary", you may ask.
Putting the IDE as the primary would put the faster disk first.
Well, I have my reasons

A) I plan on moving the IDE disk and controller to another machine,
leaving the MFM disk on the 80386 machine, so I'll leave that as the primary
B) By using the 4drives shareware
  1) the IDE drive runs really fast by using the multiple sectors per
     interrupt feature for read/write (a feature that's supported only
     in the more recent BIOSes)
  2) the IDE disk is NOT supported by the old BIOS, so by using the
     driver no BIOS support is needed for the IDE at all.
-- 
Jeffrey Jonas
[email-masked]

------------------------------

From: [email-masked] (Robert Ashcroft)
Subject: Re: Is Linux faster than Os/2? Please help.
Date: 27 Sep 1994 01:34:29 GMT

In article <[email-masked]>,
Jeffrey  Nipp <[email-masked]> wrote:
>The real question is: Why would you want to write a THESIS on emax and 
>latex?  There are many comercial products which are much better suited to 
>that particular task which will run native under OS/2 or in a dos or 
>windows box under OS/2 and give much better performance than the unix 
>programs you mention.

Uh, I've known numerous people who have written theses, and almost all
of them used Latex or Tex or something, and most of those used Emacs
while doing so.  The only exception being a marketing weenie I know who
wrote his thesis in MS Word on a ****ing Macintosh...

And I'm using Latex and Emacs (with Auctex!  Very nice package that
more or less integrates the two) for my thesis.

I've yet to see nicer looking math output than Tex and Latex.  There is
a ton of stuff available for it too, just check out the Tex newsgroup
faqs sometime.

RNA

------------------------------

From: [email-masked] (Lam Dang)
Subject: Re: Maple V for linux!
Date: Tue, 27 Sep 1994 00:15:15 GMT

Scott Weinstein ([email-masked]) wrote:
: I havn't seen anything on the newsgroups about this... Maple V is
: available for Linux. It looks and runs just like the Solaris version. 
: The binaries are not staticly linked and the entire installation takes
: up 24 MB. I'm impressed.

: The SCO version also works with Linux under the iBCS emulator.

: With WordPerfect, mapleV, and DOOM, there's no excuse for not
: installing Linux.

Where to get Maple V for Linux?

-- 
Lam Dang
[email-masked]

------------------------------

From: [email-masked] (Brian L. Kahn)
Subject: How can I rank video cards for Linux?
Date: 26 Sep 1994 16:01:12 GMT

I've looked at the FAQs, but I still have no clues.

I'll be upgrading my video card soon, so I'm wondering how to rank
them for speed under Linux/Xwindows.  My range is limited to the mid
to low end of the market ($80-$160) new or used, but most accelerators
and fancy features don't seem to be supported by XFree anyways.  Even
when the FAQ mentions support for this or that feature, I don't see
how to translate that into speed!  

Is there a test that is relevant to Linux/Xwindows and is CPU
independent?  Does one of the Xperf tests hit the video card limit on
slower CPUs?  Does a test of bytes/sec in graphics mode tell how fast
X will run?  What about correlation of WinStones to XStones?

The Tseng chips have always been pretty fast, and that is without
accelerator hardware, right?  The Tridents have always been kinda
middling, but what about the 9400?  How would a VLB Trident rank
against a 16 bit Tseng 4000?

And what's the story with S3 chips?  Diamond uses evil proprietary
clocking, so I'll avoid them, but other vendors use the chip.  Is it
partially supported or what?  Is it just a trouble to work with?

General comments or specific recommendations gratefully accepted.

-- 
Brian L. Kahn   "In theory, there is no difference between theory and practice.
[email-masked]    In practice, of course, there is."

------------------------------

Subject: Re: Don't use Linux or it's to academic!
From: [email-masked] (NAME "Cleetus Overbey Johnson")
Date: 25 Sep 94 13:38:26 EDT

In article <[email-masked]>, rfugina@mcdgs01 (Rob Fugina) writes:
> In article <[email-masked]>,
> Jeff Kesselman <[email-masked]> wrote:
>>I'll add 2 cents to make it 4.  I agree with you 100%. Back in college I 
>>had to support intelligent but non cs researchers using PCs. Even DOS 
>>was a bit of a challenge for them, a UNIX is much too much OS, at least 
>>in its raw state.
>>If someone can come up with a Linux that not only installs easily, but 
>>requries close to zero admin, then it might be a contender to replace DOS 
>>on pure end-user's machines...
> 
> Even DOS and Windoze require administration.  It doesn't get done, and that's
> why most DOS/Windoze machines are a MESS.  Stray files, improperly configured
> software, lost temporary files taking up disk space.  What a waste of money
> and resources...
> 
> Rob
> 
> -- 

 And aside from that, the little administration you may have to perform on a
linux (or other unix) box can be 
        
        A: remotely performed in most cases
        B: very much like the other unix administrative tasks you have
        C: Will actually _prevent_ most of the damage that a user might cause

Neary all the administrative tasks I have ever had to perform on our network of
PC's running a plethora of ill-behaving software involves problems arising from  
users deleting or modifying files (which files, they don't know). Configuring
software on the machines is completely different from one application to
another.
        
        I still don't understand what all this "Unix is just too much operating
system", or "Unix is too difficult" griping stems from. I know it isn't easy to
jump right into the Unix environment. I don't think the problem is with the
operating system. I think the real problem is with the applications. I can't 
imagine trying to show a non/cs friend of mine how to edit a system file with 
vi. When I first started using Linux (indeed my first Unix experience at all) I
was horrified by the fact I didn't have alt-key combinations, or even basic
pull down menus. After learning the key-combinations for Joe, which has become
my favorite editor, I feel sick when I use DOS edit, or IBM's "e".
        
        For people who arent spending hours on the computer per day, however,
the virtues of Emacs aren't going to be worth diddly. I occasionally hear
comments to the effect of "Get a real editor" as if its manly to use software
which is not at all friendly to use. I guess I'm a slightly masochistic Unix
purist now too, that I've found how quickly I can work with minimalist
software, but to gain a public acceptance like DOS, there are going to have to
be some brain-dead applications.
        
        I would imagine I could probably set Joe or another editor up to allow
me to use alt-key combinations, but what average user wants to take on that
task?

------------------------------

From: [email-masked] (Jay Ashworth)
Crossposted-To: comp.os.linux.development,comp.os.linux.admin,alt.uu.comp.os.linux.questions
Subject: Re: How to use a host as a router - READ THIS
Date: 26 Sep 1994 12:13:08 -0400

[email-masked] (Frank van Maarseveen) writes:
>I saw a posting in comp.os.solaris recently about assigning multiple
>IP addresses to the same adapter! (on a SparcStation with Solaris 2.x)

I'll reply to this, since the original posting was mine, I guess...

>This was done in order to route something across the same physical network
>without the need for an extra adapter. The second "virtual" adapter was
>referred to as le0:1, the ":1" part appended to the original adapter name.
>Though a bit unusual, there's nothing wrong with this I think.
>I suppose there are no plans yet for implementing this feature in linux.

This is, of course, the opposite of the situation we were originally
talking about, the same address on two different interfaces.  This one
here is useful for running one machine with multiple names as well.

I've been asked to condense my postings about using Linux as a router for
the Networking HOWTO by it's editor; I'll be scribbling today.

Cheers,
-- jra
-- 
Jay R. Ashworth        High Technology Systems Comsulting             Ashworth
Designer              Linux: The Choice of a GNU Generation       & Associates
ka1fjx/4                                                  
[email-masked]   "Hey! Do any of you guys know how to Madison?"  813 790 7592

------------------------------

From: [email-masked] (David Lemson)
Subject: Linux at large sites?
Date: 26 Sep 1994 22:02:13 GMT
Reply-To: [email-masked]

I flipped through the FAQ's but could not find an answer to this
question:
Does anyone use Linux for a 'large site'?  I am talking about an
e-mail server (POP server, SMTP server, people logging in to read
mail) for about 500-1000 people?  How many concurrent connections
can one expect to have on a high-end Pentium with Linux?  Is there a
hard limit in the kernel that cannot be bypassed?
People keep suggesting Linux as a low cost alternative for our local
school district's mail servers but I have no idea how well it works
for, say, 50 or 80 concurrent users.  
Please e-mail replies and I will post a summary to
comp.os.linux.misc, as I do not usually read this newsgroup.
Thanks in advance.
-- 
David Lemson                                                  (217) 244-8833
University of Illinois Computing & Comm Services Office System Administrator
Internet : [email-masked]                           BITNET : LEMSON@UIUCVMD

------------------------------

From: Derrik Walker II <[email-masked]>
Subject: GNUStep: Real or Hoax?!?
Date: Tue, 27 Sep 1994 03:07:46 GMT

I Seem to remember reading somewhere that FSF was working on a NeXTStep 
like environment (user and Development) that was OOP and Wraparound PS.  
This is intended to be ran on Linux for Mach 3.0 (Assuming the Linux on 
Mach is also Real).  

So is this a bunch of bull shit or is it real.  I love both Linux and NS, 
and a combaniation of the two would be the greatest!

-Derrik
===== 

==========================================================================
 Derrik Walker II                                 Student of Computer Sciences
 Cleveland State University                  Automation Assistant, Law Library
 [email-masked]                            [email-masked]
===============================================================================
        http://pclab19.law.csuohio.edu:8099/html/dwalker/home.html

------------------------------

From: [email-masked] (Colin Smith)
Subject: Re: Where is Mosaic for Term?
Date: Mon, 26 Sep 1994 03:23:10 GMT

Travis L. Cobbs ([email-masked]) wrote:

: I imagine this has been asked before, but the faq for this group isn't on my
: server at the moment, and I just started reading it.  I've seen various references
: to people using Mosaic for Term, but I haven't seen anyone say where it can be
: found.  Where is it locate?  (Preferably via FTP.)

: --Travis Cobbs
:   [email-masked]

Travis,

Try sunsite.unc.edu or one of the mirrors sites.  I believe there is a 
new version, 2.4.2, on that site.

Regards,
Colin Smith......Atlanta, GA                                    
[email-masked]

-- 
Colin Smith......Atlanta, GA                                    
[email-masked]

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************